using System;
using System.Collections.Generic;
class ZLATNICI {
    static void Main() {
        int n = int.Parse(Console.ReadLine());
        int i, j, k, x, y, index, x1, y1, h;
        int br = 0;
        int br_x = 0;
        int br_y = 0;
        List<int> X = new List<int>();
        List<int> Y = new List<int>();
        List<int> IndexX = new List<int>();
        List<int> IndexY = new List<int>();
        for(i = 1; i<= n;i++){
            string s = Console.ReadLine();
            string[] a = s.Split(null);
            x = int.Parse(a[0]);
            y = int.Parse(a[1]);
            X.Add(x);
            Y.Add(y);
        }
        for(i = 0; i < n; i++){
            x = X[i];
            x1 = x;
            for(h = 0; h < n; h++){
                x1 = X[h];
                if(x1 == x){
                    IndexX.Add(h);
                    br++;
                }
            }
            if(br > 1){
                for(k = 1; k < br; k++){
                    index = IndexX[k];
                    for(j = 1; j <= n; j++){
                        if(!X.Contains(j)) {
                            X[index] = j;
                            br_x += Math.Abs(j - x1);
                            break;
                        }
                    }
                }
            }
            br = 0;
        }
        for(i = 0; i < n; i++){
            y = Y[i];
            y1 = y;
            for(h = 0; h < n; h++){
                y1 = Y[h];
                if(y1 == y){
                    IndexY.Add(h);
                    br++;
                }
            }
            if(br > 1){
                for(k = 1; k < br; k++){
                    index = IndexY[k];
                    for(j = 1; j <= n; j++){
                        if(!Y.Contains(j)) {
                            Y[index] = j;
                            br_y += Math.Abs(j - y1);
                            break;
                        }
                    }
                }
            }
            br = 0;
        }
        Console.WriteLine(br_x + br_y);
    }
}